Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02049 Graphics Minor Always Jul 27, 2008, 02:01 Aug 4, 2008, 01:51
Tester john_iv View Status Public Platform MAMEUI
Assigned To Resolution Fixed OS Windows XP/Vista 64-bit
Status [?] Resolved Driver mw8080bw.cpp
Version 0.126u2 Fixed in Version 0.126u4 Build 64-bit
Summary 02049: invaders: Built in red color overlay goes too low and shows on top line of invaders heads in Vista only.
Description Last couple releases it appears that the color overlay for the red area at the top is one pixel too low. When the invaders start out in a game the top of their heads are red. Didn't happen a few revs ago.. game dimension changes?
Steps To Reproduce 1. Launch invaders.
2. In [TAB] menu video options choose Color Overlay.
3. Play game, note red line on top line of invaders' heads.
Additional Information
Flags 64-bit specific
Regression Version
Affected Sets / Systems invaders
Attached Files
png file icon shot.png (8,831 bytes) Jul 27, 2008, 05:19
png file icon 1.png (9,936 bytes) Jul 27, 2008, 06:03
png file icon test on vista 64.png (37,568 bytes) Jul 27, 2008, 15:31
Relationships
related to 02149Closed invaders: Gray line of pixels on lowest invader head in demo, need overlay adjusted slightly. 
Notes
13
User avatar
No.01815
john_iv
Senior Tester
Jul 27, 2008, 02:02
BTW - this is w/ the built in color overlay regardless of external \artwork\invaders.zip file.
User avatar
No.01816
Fujix
Administrator
Jul 27, 2008, 05:21
Uploaded a shot on my pc.
Do you mean the heads of the top invaders are red on your side?
User avatar
No.01817
john_iv
Senior Tester
Jul 27, 2008, 06:03
edited on: Jul 27, 2008, 06:06
See pic.

Start a game and the top of the invaders head are red on the top row w/ just the internal color overlay.

I'm using D3D. Interesting. Doesn't do it w/ DirectDraw or GDI.

Only D3D has the problem, with or w/out bilinear filtering.
User avatar
No.01818
Robbbert
Developer
Jul 27, 2008, 06:11
It's a slight vertical displacement that had bugged me ever since lay files were compiled into MAME. Yet, when I went to get more details just now, the problem has gone away by itself. Maybe one of those "it only happens for some people" things.
User avatar
No.01821
Tafoid
Administrator
Jul 27, 2008, 12:41
I tried here - I can only assume it's a video related trigger that is causing the issues because with default settings - I don't see the red at the top like John IV does. Can anyone else see it or duplicate this?
User avatar
No.01823
Fujix
Administrator
Jul 27, 2008, 15:32
I tested it on Vista 64-bit and reproduced in any MAME I tried. Uploaded a screenshots.
User avatar
No.01830
john_iv
Senior Tester
Jul 27, 2008, 22:14
Repros in MameUI32 as well. Not x64 specific.
You have a screenshot of the problem in x86 too above. :-)
User avatar
No.01831
Tafoid
Administrator
Jul 27, 2008, 22:17
edited on: Jul 27, 2008, 22:18
I think he means that regardless of the build he used, Fujix repro'd it using 64-Bit Vista as his operating system. That seems to be the issue. Vista is doing something funky..
User avatar
No.01833
Fujix
Administrator
Jul 28, 2008, 06:29
Uh, yes. Neither official 32-bit nor mameui 32-bit has the problem on XP 32-bit.
And I tested official mame 32-bit, vmame64, mameui 32-bit and mameui 64-bit on Vista 64-bit. All of them have the red head problem.
User avatar
No.01894
john_iv
Senior Tester
Aug 2, 2008, 23:49
Further, MameUI32 on Vista 32 does not show the problem.
So it's the x64 Vista platform itself.. wonder if XP x64 shows the problem.
User avatar
No.01899
Mr. Do
Tester
Aug 3, 2008, 05:29
edited on: Aug 3, 2008, 05:30
Unless someone can verify for sure that the dimensions in the layout are based on the "exact measuerements" of a real arcade overlay, this can be fixed easily.

In \src\mame\layout\invaders.lay, change...

    <rect>
        <bounds left="0" top="32" right="224" bottom="64" />
       <color red="1" green="0.125" blue="0.125" />
    </rect>

to


   <rect>
        <bounds left="0" top="32" right="224" bottom="62" />
       <color red="1" green="0.125" blue="0.125" />
    </rect>

This will simply affect how far down the red overlay is extended. The top invaders will be white, and the saucer will be unaffected.
User avatar
No.01904
Machone
Tester
Aug 3, 2008, 09:31
I believe this is related to my previous observation 01803 where an extra horizontal line is seemingly included in the display when using Vista. That bug, as with this one, only seems to occur when the prescale option is set to 2 or more.
User avatar
No.01926
john_iv
Senior Tester
Aug 4, 2008, 01:51
Mr. Do, could you alter this in your invaders.lay art as well too please.